Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.webservice.http
Class HTTPWebResult

    java.lang.Object
      com.stc.connector.appconn.webservice.http.HTTPWebResult

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class HTTPWebResult

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

Version:
  $Revision: 1.4 $
See Also:
  `PersistableData`

Constructor Summary
`HTTPWebResult()`

Method Summary
`byte[]` | `getBinaryResult()` Gets the HTTP binary body result.
`HTTPWebHeaderList` | `getHeaders()` Gets the HTTP header list.
`boolean` | `getIsTextResult()` Gets the flag which determines whether the result is text.
`int` | `getResponseCode()` Gets the HTTP status code.
`java.lang.String` | `getResponseMessage()` Gets the HTTP response message.
`java.lang.String` | `getTextResult()` Gets the HTTP text body result.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dos)` Persists (serialize) this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput dis)` Restore (deserialize) this message.
`void` | `setBinaryResult(byte[] binaryResult)` Sets the HTTP binary body result.
`void` | `setHeaders(HTTPWebHeaderList headers)` Sets the HTTP header list.
`void` | `setIsTextResult(boolean isTextResult)` Sets the flag which determines whether the result is text.
`void` | `setResponseCode(int i)` Sets the HTTP status code.
`void` | `setResponseMessage(java.lang.String responseMessage)` Sets the HTTP response message.
`void` | `setTextResult(java.lang.String textResult)` Sets the HTTP text body result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPWebResult

    public HTTPWebResult()

Method Detail

### getResponseCode

    public int getResponseCode()

  Gets the HTTP status code.

  Returns:
    The HTTP status code.

### setResponseCode

    public void setResponseCode(int i)

  Sets the HTTP status code.

  Parameters:
    `i` - The HTTP status code.

### getResponseMessage

    public java.lang.String getResponseMessage()

  Gets the HTTP response message.

  Returns:
    The HTTP response message.

### setResponseMessage

    public void setResponseMessage(java.lang.String responseMessage)

  Sets the HTTP response message.

  Parameters:
    `responseMessage` - The HTTP response message.

### setIsTextResult

    public void setIsTextResult(boolean isTextResult)

  Sets the flag which determines whether the result is text.

  Parameters:
    `isTextResult` - True if text result; false otherwise.

### getIsTextResult

    public boolean getIsTextResult()

  Gets the flag which determines whether the result is text.

  Returns:
    True if text result; false otherwise.

### getTextResult

    public java.lang.String getTextResult()

  Gets the HTTP text body result.

  Returns:
    The HTTP text body result.

### setTextResult

    public void setTextResult(java.lang.String textResult)

  Sets the HTTP text body result.

  Parameters:
    `textResult` - The HTTP text body result.

### getBinaryResult

    public byte[] getBinaryResult()

  Gets the HTTP binary body result.

  Returns:
    The HTTP binary body result.

### setBinaryResult

    public void setBinaryResult(byte[] binaryResult)

  Sets the HTTP binary body result.

  Parameters:
    `binaryResult` - The HTTP binary body result.

### getHeaders

    public HTTPWebHeaderList getHeaders()

  Gets the HTTP header list.

  Returns:
    An instance of HTTPWebHeaderList.

### setHeaders

    public void setHeaders(HTTPWebHeaderList headers)

  Sets the HTTP header list.

  Parameters:
    `headers` - An instance of HTTPWebHeaderList.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dos)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dos` - The DataOutputStream to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput dis)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInputStream from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.